AutoCAD Visual LISP / AutoLISP :: Essentially Make A Mini Frame Generator

Oct 27, 2011

I'm trying to essentially make a mini frame generator in autolisp. Namely a function where one can enter the width, height, thickness, how many bays, how many day light openings, and then autocad draws the frame. Right now I'm just trying to get two settings to work with each other - and upon opening autocad the function works initially but then when I try to switch to the other setting it does not work. I felt like this was a global/local variable issue.

View 9 Replies


ADVERTISEMENT

AutoCAD Visual LISP / AutoLISP :: Frame Of A 3D Solid

Oct 15, 2013

when I use the "_list" or "_massprop" command in AutoCad I can see the information in the attachment. when I use "(entget (entlast))" I can't see the values for the frame (Begrenzungsrahmen)

How can I get these values for the frame (Begrenzungsrahmen) in LISP?

View 2 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Make Dimensions Parallel To UCS

Dec 7, 2012

I have tools like flatten and toolpac to correct plines and other things to be parallel to the ucs (world), but not for dimensions.

I attached a file with problem dins, any tool to get them back to flat?

[URL]

View 1 Replies View Related

AutoCAD Visual LISP / AutoLISP :: How To Make Sum Field In A Table

Jun 24, 2013

i have one table make which field from block. Is  possible sum?

View 4 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Make Block Uniform Scale?

Oct 8, 2009

Is there any way to make a block uniform scale using lisp? and also make a block drawing uniform scale?

View 5 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Make Fillet With Window Selection?

Jul 11, 2012

It's possible make a fillet with window selection?

View 4 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Make Attribute / Field In Template

Jan 17, 2013

Is it possible to make an attribute or a field in a template with page numbering for layouts? Is it possible to make an attribute or a field in a template with the name of the layout?

View 7 Replies View Related

AutoCAD Visual LISP / AutoLISP :: How To Make Unexplodable Blocks Explodable

Nov 1, 2007

I want unexplodable blocks to be explodable. I know thr is explodable property of a block.but don't know to use lisp...

View 6 Replies View Related

AutoCAD Visual LISP / AutoLISP :: How To Make Different Start Points For Different Commands

Jun 29, 2013

My first lisp, so bring it hard on me I want to be an expert in autolisp .

My lisp is meant to do the following:

draw a rectangle with ”0” fillet. It can be done either via rectangle command, or pline command. The attached lisp has the variant with the pline-case.

The, I need to draw inside a smaller rectangle, with a fillet value, that is promoted and indicated by the user. The smaller rectangle must be centered inside the bigger one. I thought it was a good idea, to take one insertion-point for the bigger rectangle.

and to calculate a 2-nd insertion-point for the smaller rectangle, via "polar" function.

What I get:

the 2-nd insertion point is put the same as the 1-st one.

I wish to draw the bigger rectangle with one layer "example: Layer 1", and the smaller rectangle with another layer "example: Layer 2".

View 9 Replies View Related

AutoCAD Visual LISP / AutoLISP :: How To Make Selection Set After Break Command

Nov 19, 2011

The following function

(command "_break" ent1 p1 p2)

break a polyline into two separate polylines. How can I get a selection set with two separate polylines?

View 4 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Make DWG Friendly For Conversion To Revit?

Oct 20, 2011

I have to convert numerous AutoCAD details to Revit and intend to explode the dwg file once imported to Revit and then tidy up the drawing from there.

Lisp to do the following:

1) Delete all hatch

2) Xplode all blocks; layers to inherit from parent block

3) Delete all dimensions

4) Convert text to Mtext

5) Change all Mtext colours to "bylayer"

6) Delete all leaders

7) Purge all

8) Saveas

View 9 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Make Wipeout But With Polyline That Has Arcs?

Oct 16, 2001

is it possible to make a wipeout but with a polyline that has arcs?

View 8 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Make All Object You Select Into One With Foreach

Dec 2, 2013

I need to make all the obj like one pol after I select them all not just the last one so I can get the intersection of each obj1

(DEFUN C:CHF ()
    (vl-load-com)
  (if (not (member "geomcal.arx" (arx)))
    (arxload "geomcal")
    )
  (command "undo" "BE")
(setq osm (getvar "osmode"))
  (setvar "osmode" 0)

[code]....

View 5 Replies View Related

AutoCAD Visual LISP / AutoLISP :: How To Make One Single Block Containing All Entities

Aug 16, 2013

I have a lisp that draws variety of entities such as lines, arcs, hatches, points, blocks, text etc. How can I make one single block containing all of them, i.e. one block that has all items drawn since the lisp was invoked.

View 8 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Make Summaryinfo Visible In Explorer?

Aug 27, 2012

i want to put the information of summaryinfo into the property of the file visible in the file explorer of windows XP

(setq activedocument (vla-get-activedocument (vlax-get-acad-object)))

i want to  put this in the properties of the file (vla-get-title   SummaryInfo)

because if i set the summaryInfo in autocad, when i open the explorer this information is not here

View 2 Replies View Related

AutoCAD Visual LISP / AutoLISP :: How To Make Ctrl-V Always Paste To Command Line

Dec 17, 2012

I rarely paste entities using ctrl-v, I use the WTIT.lsp commands instead, or edit pulldown to paste entities.

I want a CTRL-V to paste to command line, always, no matter what.

I tried killing the keyboard shortcuts through the CUI, but that just stopped ctrl-v from doing anything when I was not on command line.

[URL] ....

View 4 Replies View Related

AutoCAD Visual LISP / AutoLISP :: How To Make Page Setup Current And Active

Sep 9, 2011

We are using this code for Page setup. But We don,t know how to make this page setup current and active.

(defun c:pgs ()(acet-error-init(list(list"cmdecho"0"osmode" 0)T))(vl-load-com)(setvar "Tilemode" 0)(vla-Add (vla-get-PlotConfigurations (vla-get-ActiveDocument (vlax-get-acad-object))) "A1" :vlax-false)(vla-put-PageSetupOverridesTemplateFile (vla-get-files (vla-get-preferences (vlax-get-acad-object))) "A1")(setq item (vla-Item (vla-get-PlotConfigurations (vla-get-ActiveDocument
[code]........

View 3 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Make On Screen Layer Picker Routine?

Dec 16, 2011

I would like to make an on screen layer picker routine that sits in the upper left corner of the screen and always stays there.

I currently have a list of layers printed out in the drawing that I can do a "select current layer by pick" but they are always getting in the way as they are part of the drawing. 

I would mind if the pallette was part of the drawing if it could "float" and always stay in the upper left corner somehow.

View 2 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Make Block Which Is Visible To Snap Only On Special Point

Dec 27, 2011

I want to make a block which is visible to snap only on a special point, say pivot point.

View 7 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Write Routine That Will Make Layer Called Hatch

Aug 1, 2012

I am trying to write a lisp routine that will make a layer called hatch, set it as current and then run the hatch command.

BUT the hatch command is not bring up the hatch dialogue box, it just puts things on the command line.

The layer is being made & set current.

The lisp is as follows:

(defun c:hh (/ ec)
(setq ec (getvar "cmdecho"))
(setvar "cmdecho" 0)
(command "-layer" "m" "hatch" "c" "8" "" "l" "continuous" "" "s" "hatch" "")
(command "hatch")
(setvar "cmdecho" ec)
)

On another matter, I have just found the bevel lisp routine by Terry Miller which works great BUT only for imperial measurements. How to make Terry's metric, that will work for metric measurements.

View 6 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Possible To Make Left Mouse Click Initiate Zoom Window?

Jan 1, 2012

I still want it to have its normal behavior while in a command, but when not in a command it still enters the selection mode, which does not work, but if it would enter a zoom window command, it might be a more useful command.

View 5 Replies View Related

AutoCAD Inventor :: How To Expand Tree In Drawing When Part Make With Frame Generator

Sep 21, 2012

when I have part make with frame generator. I have problem expand tree in drawing.How expand tree in drawing when part make with frame generator.

View 2 Replies View Related

AutoCAD Inventor :: How To Split Frame Member On Custom Profile Frame Generator

May 22, 2013

After using Custom Profile for Frame Generator, the Part List will show total length, not individually. How to split these frame members?

View 2 Replies View Related

AutoCAD Inventor :: How To Split Frame Member On Custom Profile Frame Generator

Apr 30, 2013

After using Custom Profile for Frame Generator, the Part List will show total length, not individually. how to split these frame members?

Inventor Professional 2013 SP1.1
Windows 7 Pro 64-bit, SP1
HP EliteBook 8460w; 8 GB RAM; i7 - 2.0 GHz; AMD Firepro M3900 -1 GB

View 2 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Continuous Dimension Lisp That Alternate Its Position

Jul 12, 2012

Is there a lisp that will allow me to do a continuous dimension, but will alternate the dimension position from low, high, low and high?  If there is no lisp already created, how to create one? 

See Continuous dimension attachment for example.

I work at a glass and glazing company and this is how we dimension mullion width and DLO. See typical window dimensioning attachment for window elevation with dimensions.

View 6 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Add String To Each Item In List Using Lisp

Nov 14, 2013

I have a list ("temp.dwg" "temp2.dwg") and would like to add the string "insert text here" into each item in the list resulting in ("insert text heretemp.dwg" "insert textheretemp2.dwg").  how would i go about doing that using LISP?

View 2 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Opening Drawings With Default Visual Style Set To 2D Wireframe

Oct 7, 2013

Is there a way to programatically set a visual style before a drawing actually opens?

We have some huge models and people seem to forget to change their visual styles back to 2D wireframe before saving and exiting drawings.  Some models will crash on some workstations when trying to open in a rendered mode.

I found a lisp with a function that looked to set viewport visual styles.  But it does not seem to be supported anymore. --> (vla-put-VisualStyle vport 1)

View 9 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Write A Lisp Routine That Invoke The Mleader Command

Oct 11, 2012

I'm trying to write a lisp routine that, when I invoke the mleader command, osmode is set to "nearest" & orthomode is set off. I then would like the original settings to be returned.

attached is what I have written so far:-

View 4 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Visual Effect Settings?

Jun 20, 2013

Lisp that switches back on Selection Preview i.e. thickens and highlights lines when you hover over them?I don't know why, but they are always unticking the boxes.

View 4 Replies View Related

AutoCAD 2010 :: Make Linetype That Is Essentially Two Continuous Lines?

Feb 1, 2013

I am wondering if it is possible to make a linetype that is essentially two continous lines (Or small dashes lines) overlayed atop one another. The purpose for this is to create a shadow effect (we use this for text on aerial imagery). The bottom line would be a thick white/black line and the top line would be the opposite so it stands out.

View 1 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Combinations In DCL?

Sep 7, 2012

Is it possible to execute a certain command based on multiple selections withinin a dcl?  for example:  two radio colums, one with selections A and B, and a second with selections 1 and 2.  is it possible to program commands based on user selections from each column?  ex: if A and 1- do a command.  A 2- do a different command, etc...

I tried :

 (action_tile "key1" "(setq A t")
 (action_tile "key2" "(setq B t")

 (action_tile "key3" "(setq 1 t)(done_dialog)")
 (action_tile "key4" "(setq 2 t)(done_dialog)")

(if
(and (a) (1)
)
(command ...

but was unsuccessful.  no matter which combination was selected, the command under all combinations would run.

View 2 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved